# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def update_package():
    result = False
    proxies = get_proxies()
    result = False
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    version = [u for u in wgets('https://virustotal.readme.io/docs/desktop-apps',proxies=proxies).split('.dmg') if 'www.virustotal.com/static/bin/VirusTotalUploader_' in u ][0].split('_')[-1]

    url = "https://www.virustotal.com/static/bin/VirusTotalUploader_%s.dmg" % version
    last_bin = url.split('/')[-1]
    if not isfile(last_bin):
        wget(url,last_bin)
        result=True

    for f in glob.glob('*.dmg'):
        if f != last_bin:
            remove_file(f)

    control.set_software_version(version)
    control.save_control_to_wapt()

    return result